//
//	MiscClockView.m -- a simple view class for displaying date/time
//		Written by Scott Anguish Copyright (c) 1993 by Scott Anguish.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"LICENSE.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

#import <appkit/View.h>
#import <dpsclient/dpsNeXT.h>

@class NXImage;

@interface MiscClockView:View
{
	id             theImage;
	id             clockbase;

	NXImage       *imageA[2];
	NXImage       *imageP[2];

	NXImage       *imageColon[2];
	NXImage       *YearColon[2];
	NXImage       *imageAM[2];
	NXImage       *imagePM[2];

	NXImage       *DigitalNumbers[10][2];
	NXImage       *DateNumbers[10][2];
	NXImage       *YearNumbers[10][2];
	NXImage       *DayNames[7][2];
	NXImage       *MonthNames[12][2];
	NXPoint        colonPosition;

	int            seconds;
	int            minutes;
	int            hours;
	int            date;
	int            month;
	int            year;
	int            weekday;
	int            meridian;

	BOOL           militaryTime;
	BOOL           showYear;

	BOOL           keepingTime;
	BOOL           hidden;

	DPSTimedEntry  timedEntry;
	
	int				highlightSelection;
	id 				delegate;
}

- initFrame:(const NXRect *)frameRect;
- free;

- awake;
- awakeFromNib;
- setTime:(struct tm *) theTime;

- takeMinutesFrom:sender;
- takeHoursFrom:sender;
- takeWeekdayFrom:sender;
- takeDateFrom:sender;
- takeMonthFrom:sender;

- setSeconds:(int)theSeconds;
- setMinutes:(int)theMinutes;
- setHours:(int)theHours;
- setWeekday:(int)theWeekday;
- setDate:(int)theDate;
- setMonth:(int)theMonth;
- setYear:(int)theYear;
- setMeridian:(int)theMeridian;

- (int)year;
- (int)month;
- (int)weekday;
- (int)date;
- (int)hours;
- (int)minutes;
- (int)seconds;

- (BOOL)militaryTime;
- (BOOL)showYear;
- setShowYear:(BOOL)state;
- setMilitaryTime:(BOOL)state;
- (BOOL)keepingTime;
- setKeepingTime:(BOOL)yesno;

- ticktock;
- startClock:sender;
- stopClock:sender;
- setToCurrentTime:sender;

- setHide:(BOOL)hide;
- (BOOL)isHidden;

- increment:sender;
- decrement:sender;
- changeDate:(int) change;

- setDelegate:aDelegate;
- delegate;
@end
